#ifndef KNAVIGATIONTRAIL_H
#define KNAVIGATIONTRAIL_H

#include <QWidget>
#include "kcrumb.h"

namespace kdk {


enum ButtonPosition {
    LeftPosition,
    LeftOrRight,
    RightPosition
};

/**
 * @defgroup BarModule
 * @since 2.5
 */
class KNavigationTrailPrivate;

class KNavigationTrail : public QWidget
{
    Q_OBJECT
public:
    KNavigationTrail(QWidget *parent = nullptr);

    /**
     * @brief 获取kcrumb
     * @return
     */
    KCrumb *crumb();

    /**
     * @brief 设置箭头位置
     * @param type
     */
    void setPosition(ButtonPosition type);


Q_SIGNALS:
    /**
     * @brief 点击会发出信号
     */
    void sizeChange();

protected:
    void resizeEvent(QResizeEvent *event);

private:
    Q_DECLARE_PRIVATE(KNavigationTrail)
    KNavigationTrailPrivate*const d_ptr;
};

}



#endif // KNAVIGATIONTRAIL_H
